# this is the default configuration file for FrMG Corpus Manager
home = /home/pinot/alpage/buiquang/
appHome = /home/pinot/alpage/buiquang/install/frmgcm/appdata
serverPort = 8082
websocketPort = 8081

# elasticsearch
elasticSearchHost = cognac.inria.fr
elasticSearchPort = 9200

# logging
logFile = /home/pinot/alpage/buiquang/install/frmgcm/appdata/cpm.log
logLevel = 5
verbose = true

# RIOC / Cluster info  
noRioc = false;
clusterHost = buiquang@rioc.inria.fr
id_rioc = /home/pinot/alpage/buiquang/.ssh/id_rioc
riocServerPath = /scratch/buiquang/mgwiki


# resource files (some of the resouces files are hard defined in the class Corpus)
tagsetsFilePath = /home/pinot/alpage/buiquang/install/frmgcm/appdata/resources/tagsets.json
cmaHtmlIndexFile = /home/pinot/alpage/buiquang/var/cpm/www-data/index.html
templateDispatchConfFilepath = /home/pinot/alpage/buiquang/install/frmgcm/appdata/resources/dispatch.dummy.conf
templateEndHandlerFilepath = /home/pinot/alpage/buiquang/install/frmgcm/appdata/resources/endHandler.sh

# search module
dpathQueryHistoryMaxSize = 20
searchResultsDefaultLimit = 20
DPATH_RESULT_CACHE_MAX_SIZE = 10000

# service lib urls
mgwikiHost = http://alpage.inria.fr/frmgwiki
permissionServiceURL = http://alpage.inria.fr/frmgwiki/mgwiki_corpus_user_permission
frmgparserproxyurl = http://alpage.inria.fr/newparserdemo/process.xml
mgwikiSentencesUrl = http://alpage.inria.fr/frmgwiki/parser/ws/listSentences
d3jsUrl = http://alpage.inria.fr/frmgwiki/d3js/ws_post
